papi-4.1.0 and redhat kernel patch

Open discussion of PAPI.

papi-4.1.0 and redhat kernel patch

Postby ardavan » Wed Jul 14, 2010 2:11 pm

Hi,

I'm trying to install PAPI 4.1.0 on a machine running Red Hat Enterprise Linux Client release 5.5 (Tikanga x86_64) with kernel 2.6.18-194.8.1.el5 #1 SMP.

Do I need to patch my kernel?

The configure script can't find perfctr related headers and libraries:
checking for /sys/class/perfctr... no
checking for /dev/perfctr... no
checking for perfmon version... checking for /sys/kernel/perfmon/version... no
checking for /proc/perfmon... no
checking for /usr/include/linux/perf_event.h... no
checking for /usr/include/linux/perf_counter.h... no
checking for /lib/modules/2.6.18-194.8.1.el5/source/include/linux/perf_event.h... no
checking for /lib/modules/2.6.18-194.8.1.el5/source/include/linux/perf_counter.h... no


Does this mean I have to patch the kernel?
ardavan
 
Posts: 1
Joined: Wed Jul 14, 2010 2:03 pm

Re: papi-4.1.0 and redhat kernel patch

Postby jagode00 » Wed Jul 14, 2010 6:24 pm

Yes, for the kernel version 2.6.18 you will definitively need to patch the kernel with perfctr or perfmon.
Only kernel versions >= 2.6.31 come with the built-in perf_events interface.

Thanks,
heike.
jagode00
 
Posts: 28
Joined: Tue Aug 25, 2009 2:12 pm


Return to General discussion

Who is online

Users browsing this forum: No registered users and 1 guest